com.lowagie.text.pdf

## Class PdfPage

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.PdfPage

    public class PdfPage
    extends PdfDictionary

`PdfPage` is the PDF Page-object.

A Page object is a dictionary whose keys describe a single page containing text, graphics, and images. A Page object is a leaf of the Pages tree.
This object is described in the 'Portable Document Format Reference Manual version 1.3' section 6.4 (page 73-81)

See Also:
  `PdfPages`

### Field Summary

Fields
`private static PdfName[]` `boxNames`
`private static java.lang.String[]` `boxStrings`
`static PdfNumber` `INVERTEDPORTRAIT` value of the Rotate key for a page in INVERTEDPORTRAIT
`static PdfNumber` `LANDSCAPE` value of the Rotate key for a page in LANDSCAPE
`(package private) PdfRectangle` `mediaBox` value of the MediaBox key
`static PdfNumber` `PORTRAIT` value of the Rotate key for a page in PORTRAIT
`static PdfNumber` `SEASCAPE` value of the Rotate key for a page in SEASCAPE

### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PdfPage(PdfRectangle mediaBox, java.util.HashMap boxSize, PdfDictionary resources)` Constructs a `PdfPage`.
`PdfPage(PdfRectangle mediaBox, java.util.HashMap boxSize, PdfDictionary resources, int rotate)` Constructs a `PdfPage`.

### Method Summary

Methods
`(package private) void` `add(PdfIndirectReference contents)` Adds an indirect reference pointing to a `PdfContents`-object.
`(package private) PdfRectangle` `getMediaBox()` Returns the MediaBox of this Page.
`boolean` `isParent()` Checks if this page element is a tree of pages.
`(package private) PdfRectangle` `rotateMediaBox()` Rotates the mediabox, but not the text in it.

### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### boxStrings

    private static final java.lang.String[] boxStrings

#### boxNames

    private static final PdfName[] boxNames

#### PORTRAIT

    public static final PdfNumber PORTRAIT

value of the Rotate key for a page in PORTRAIT

#### LANDSCAPE

    public static final PdfNumber LANDSCAPE

value of the Rotate key for a page in LANDSCAPE

#### INVERTEDPORTRAIT

    public static final PdfNumber INVERTEDPORTRAIT

value of the Rotate key for a page in INVERTEDPORTRAIT

#### SEASCAPE

    public static final PdfNumber SEASCAPE

value of the Rotate key for a page in SEASCAPE

#### mediaBox

    PdfRectangle mediaBox

value of the MediaBox key

### Constructor Detail

#### PdfPage

    PdfPage(PdfRectangle mediaBox,
           java.util.HashMap boxSize,
           PdfDictionary resources,
           int rotate)

Constructs a `PdfPage`.

Parameters:
  `mediaBox` - a value for the MediaBox key
  `resources` - an indirect reference to a `PdfResources`-object
  `rotate` - a value for the Rotate key

#### PdfPage

    PdfPage(PdfRectangle mediaBox,
           java.util.HashMap boxSize,
           PdfDictionary resources)

Constructs a `PdfPage`.

Parameters:
  `mediaBox` - a value for the MediaBox key
  `resources` - an indirect reference to a `PdfResources`-object

### Method Detail

#### isParent

    public boolean isParent()

Checks if this page element is a tree of pages.

This method always returns `false`.

Returns:
  `false` because this is a single page

#### add

    void add(PdfIndirectReference contents)

Adds an indirect reference pointing to a `PdfContents`-object.

Parameters:
  `contents` - an indirect reference to a `PdfContents`-object

#### rotateMediaBox

    PdfRectangle rotateMediaBox()

Rotates the mediabox, but not the text in it.

Returns:
  a `PdfRectangle`

#### getMediaBox

    PdfRectangle getMediaBox()

Returns the MediaBox of this Page.

Returns:
  a `PdfRectangle`